@extends('layouts.app')

@section('pageTitle', 'Create new post - ')

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-md-7 px-4">

                <h3>Create new post</h3>
                <br>

                <form action="{{route('posts.store')}}" method="post" enctype="multipart/form-data">
                    @csrf

                    <div class="form-group">
                        <label for="type">Post Type</label>
                        <select name="type" id="type" class="form-select @error('type') is-invalid @enderror">
                            <option value="blog" selected>Blog Post</option>
                            <option value="music">Music</option>
                            <option value="gallery">Photo Gallery</option>
                        </select>

                        @error('type')
                        <span class="invalid-feedback" role="alert">
                            {{ $message }}
                        </span>
                        @enderror
                    </div>

                    <x-form.text long-name="Post Title" field-name="title"/>

                    <x-form.textarea long-name="Post Content" field-name="content"/>

                    <x-form.upload long-name="Upload files" field-name="uploads[]" multiple/>

                    <x-form.text long-name="Location" field-name="location" />

                    <x-form.text long-name="Tags" field-name="tags" />

                    <div class="form-group mt-4">
                        <button type="submit" class="btn btn-primary px-5">Upload</button>
                    </div>

                </form>
            </div>
        </div>
    </div>

@endsection
